<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="maincontent">
  <?php do_action( 'vw_security_guard_before_slider' ); ?>

  <?php if(get_theme_mod('vw_security_guard_slider_hide_show',true)==1){ ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
        <?php $slider_page = array();
          for ( $count = 1; $count <= 4; $count++ ) {
            $mod = intval( get_theme_mod( 'vw_security_guard_slider_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $slider_page[] = $mod;
            }
          }
          if( !empty($slider_page) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $slider_page,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>     
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <img src="<?php the_post_thumbnail_url('full'); ?>"/>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h2><?php the_title(); ?></h2>
                  <p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_security_guard_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_security_guard_slider_excerpt_number','30')))); ?></p>
                  <div class="more-btn">
                    <a href="<?php the_permalink(); ?>"><?php esc_html_e('GET SERVICE QUOTE','vw-security-guard'); ?><span class="screen-reader-text"><?php esc_html_e( 'GET SERVICE QUOTE','vw-security-guard' );?></span></a><i class="fas fa-angle-right"></i>
                  </div>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
            <div class="no-postfound"></div>
        <?php endif;
        endif;?>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          <span class="screen-reader-text"><?php esc_attr_e( 'Previous','vw-security-guard' );?></span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          <span class="screen-reader-text"><?php esc_attr_e( 'Next','vw-security-guard' );?></span>
        </a>
      </div>  
      <div class="clearfix"></div>
    </section>
  <?php } ?>

  <?php do_action( 'vw_security_guard_after_slider' ); ?>

  <?php if( get_theme_mod( 'vw_security_guard_section_title') != '' || get_theme_mod( 'vw_security_guard_security_services') != '') { ?>
    <section id="security-service">
      <div class="container">
        <?php if( get_theme_mod('vw_security_guard_section_title') != ''){ ?>
          <h3><?php echo esc_html(get_theme_mod('vw_security_guard_section_title','')); ?></h3>
        <?php }?>
        <div class="row">
          <?php
            $catData1=  get_theme_mod('vw_security_guard_security_services');
            if($catData1){
          $page_query = new WP_Query(array( 'category_name' => esc_html($catData1 ,'vw-security-guard'))); ?>         
            <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
              <div class="col-lg-4 col-md-6">
                <div class="catgory-box">
                  <div class="row">
                    <div class="col-lg-4 col-md-4">
                      <?php the_post_thumbnail(); ?>
                    </div>
                    <div class="col-lg-8 col-md-8">
                      <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h4>
                      <hr>
                      <p><?php $excerpt = get_the_excerpt(); echo esc_html( vw_security_guard_string_limit_words( $excerpt, esc_attr(get_theme_mod('vw_security_guard_services_excerpt_number','30')))); ?></p>
                    </div>
                  </div>
                </div>
              </div>
            <?php endwhile;
            wp_reset_postdata();}
          ?>
        </div>
      </div>
    </section>
  <?php } ?>

  <?php do_action( 'vw_security_guard_after_security_service' ); ?>

  <div class="content-vw">
    <div class="container">
      <?php while ( have_posts() ) : the_post(); ?>
        <?php the_content(); ?>
      <?php endwhile; // end of the loop. ?>
    </div>
  </div>
</main>

<?php get_footer(); ?>