<?php
/**
 * The template part for header
 *
 * @package VW Security Guard 
 * @subpackage vw_security_guard
 * @since VW Security Guard 1.0
 */
?>

<div id="top-header">
  <div class="container">
    <div class="row">
      <div class="logo col-lg-4 col-md-12">
        <?php if( has_custom_logo() ){ vw_security_guard_the_custom_logo();
          }else{ ?>
          <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
          <?php $description = get_bloginfo( 'description', 'display' );
          if ( $description || is_customize_preview() ) : ?>
          <p class="site-description"><?php echo esc_html($description); ?></p>
        <?php endif; } ?>
      </div>
      <div class="mid-header col-lg-8 col-md-12">
        <div class="row m-0">
          <div class="col-lg-4 col-md-4">
            <div class="row">
              <?php if ( get_theme_mod('vw_security_guard_email_text','') != "" ) {?>
                <div class="col-lg-2 col-md-2 col-2 p-0 icon">
                  <i class="fas fa-envelope"></i>
                </div>
                <div class="col-lg-10 col-md-10 col-10">
                  <?php if ( get_theme_mod('vw_security_guard_email_text','') != "" ) {?>
                    <p class="bold-font"><?php echo esc_html( get_theme_mod('vw_security_guard_email_text','') ); ?></p>
                  <?php }?>
                  <?php if ( get_theme_mod('vw_security_guard_email_address','') != "" ) {?>
                    <p><?php echo esc_html( get_theme_mod('vw_security_guard_email_address','') ); ?></p>
                  <?php }?>
                </div>
              <?php }?>
            </div>
          </div>
          <div class="col-lg-4 col-md-4">
            <div class="row">
              <?php if ( get_theme_mod('vw_security_guard_call_text','') != "" ) {?>
                <div class="col-lg-2 col-md-2 col-2 p-0 icon">
                  <i class="fas fa-phone"></i>
                </div>
                <div class="col-lg-10 col-md-10 col-10">
                  <?php if ( get_theme_mod('vw_security_guard_call_text','') != "" ) {?>
                    <p class="bold-font"><?php echo esc_html( get_theme_mod('vw_security_guard_call_text','') ); ?></p>
                  <?php }?>
                  <?php if ( get_theme_mod('vw_security_guard_call_number','') != "" ) {?>
                    <p><?php echo esc_html( get_theme_mod('vw_security_guard_call_number','') ); ?></p>
                  <?php }?>
                </div>
              <?php }?>
            </div>
          </div>
          <div class="col-lg-4 col-md-4">
            <div class="row">
              <?php if ( get_theme_mod('vw_security_guard_time_text','') != "" ) {?>
                <div class="col-lg-2 col-md-2 col-2 p-0 icon">
                  <i class="far fa-clock"></i>
                </div>
                <div class="col-lg-10 col-md-10 col-10">
                  <?php if ( get_theme_mod('vw_security_guard_time_text','') != "" ) {?>
                    <p class="bold-font"><?php echo esc_html( get_theme_mod('vw_security_guard_time_text','') ); ?></p>
                  <?php }?>
                  <?php if ( get_theme_mod('vw_security_guard_timming','') != "" ) {?>
                    <p><?php echo esc_html( get_theme_mod('vw_security_guard_timming','') ); ?></p>
                  <?php }?>
                </div>
              <?php }?>
            </div>
          </div>
        </div>        
      </div>
    </div>
  </div>
</div>